Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## toxi.geom
Enum Vec3D.Axis

    java.lang.Object
      java.lang.Enum<Vec3D.Axis>
          toxi.geom.Vec3D.Axis

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Vec3D.Axis>

Enclosing class:
  Vec3D

    public static enum Vec3D.Axis

extends java.lang.Enum<Vec3D.Axis>

Enum Constant Summary
`X`
`Y`
`Z`

Method Summary
`ReadonlyVec3D` | `getVector()`
`static Vec3D.Axis` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Vec3D.Axis[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### X

    public static final Vec3D.Axis X

### Y

    public static final Vec3D.Axis Y

### Z

    public static final Vec3D.Axis Z

Method Detail

### values

    public static Vec3D.Axis[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Vec3D.Axis c : Vec3D.Axis.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Vec3D.Axis valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getVector

    public ReadonlyVec3D getVector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD